com.genesyslab.wfm8.API.service.scheduleTrade850

## Class SchTradeResponse

- java.lang.Object
- - com.genesyslab.wfm8.API.service.scheduleTrade850.SchTradeResponse

- All Implemented Interfaces:
    java.io.Serializable

      public class SchTradeResponse
      extends java.lang.Object
      implements java.io.Serializable

  Trade Response Record
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `gswProposalAgentId`
    `protected int` | `gswResponseAgentId`
    `private static long` | `serialVersionUID`
    `protected java.lang.String` | `wmComments`
    `protected java.util.List<java.lang.Double>` | `wmDays`
    `protected int` | `wmDaysNSizeIs`
    `protected double` | `wmExpireDateTime`
    `protected int` | `wmPaidMinutes`
    `protected double` | `wmResponseDateTime`
    `protected int` | `wmSiteId`
    `protected int` | `wmStatus`
    `protected int` | `wmTradeProposalId`
    `protected int` | `wmTradeResponseId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchTradeResponse()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getGswProposalAgentId()` Gets the value of the gswProposalAgentId property.
    `int` | `getGswResponseAgentId()` Gets the value of the gswResponseAgentId property.
    `java.lang.String` | `getWmComments()` Gets the value of the wmComments property.
    `java.util.List<java.lang.Double>` | `getWmDays()` Gets the value of the wmDays property.
    `int` | `getWmDaysNSizeIs()` Gets the value of the wmDaysNSizeIs property.
    `double` | `getWmExpireDateTime()` Gets the value of the wmExpireDateTime property.
    `int` | `getWmPaidMinutes()` Gets the value of the wmPaidMinutes property.
    `double` | `getWmResponseDateTime()` Gets the value of the wmResponseDateTime property.
    `int` | `getWmSiteId()` Gets the value of the wmSiteId property.
    `int` | `getWmStatus()` Gets the value of the wmStatus property.
    `int` | `getWmTradeProposalId()` Gets the value of the wmTradeProposalId property.
    `int` | `getWmTradeResponseId()` Gets the value of the wmTradeResponseId property.
    `int` | `hashCode()`
    `void` | `setGswProposalAgentId(int value)` Sets the value of the gswProposalAgentId property.
    `void` | `setGswResponseAgentId(int value)` Sets the value of the gswResponseAgentId property.
    `void` | `setWmComments(java.lang.String value)` Sets the value of the wmComments property.
    `void` | `setWmDays(java.util.List<java.lang.Double> wmDays)` Sets the value of the wmDays property.
    `void` | `setWmDaysNSizeIs(int value)` Sets the value of the wmDaysNSizeIs property.
    `void` | `setWmExpireDateTime(double value)` Sets the value of the wmExpireDateTime property.
    `void` | `setWmPaidMinutes(int value)` Sets the value of the wmPaidMinutes property.
    `void` | `setWmResponseDateTime(double value)` Sets the value of the wmResponseDateTime property.
    `void` | `setWmSiteId(int value)` Sets the value of the wmSiteId property.
    `void` | `setWmStatus(int value)` Sets the value of the wmStatus property.
    `void` | `setWmTradeProposalId(int value)` Sets the value of the wmTradeProposalId property.
    `void` | `setWmTradeResponseId(int value)` Sets the value of the wmTradeResponseId property.
    `java.lang.String` | `toString()`
    `SchTradeResponse` | `withGswProposalAgentId(int value)`
    `SchTradeResponse` | `withGswResponseAgentId(int value)`
    `SchTradeResponse` | `withWmComments(java.lang.String value)`
    `SchTradeResponse` | `withWmDays(java.util.Collection<java.lang.Double> values)`
    `SchTradeResponse` | `withWmDays(java.lang.Double... values)`
    `SchTradeResponse` | `withWmDaysNSizeIs(int value)`
    `SchTradeResponse` | `withWmExpireDateTime(double value)`
    `SchTradeResponse` | `withWmPaidMinutes(int value)`
    `SchTradeResponse` | `withWmResponseDateTime(double value)`
    `SchTradeResponse` | `withWmSiteId(int value)`
    `SchTradeResponse` | `withWmStatus(int value)`
    `SchTradeResponse` | `withWmTradeProposalId(int value)`
    `SchTradeResponse` | `withWmTradeResponseId(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmTradeResponseId

          protected int wmTradeResponseId

    - #### wmTradeProposalId

          protected int wmTradeProposalId

    - #### wmSiteId

          protected int wmSiteId

    - #### gswResponseAgentId

          protected int gswResponseAgentId

    - #### gswProposalAgentId

          protected int gswProposalAgentId

    - #### wmComments

          protected java.lang.String wmComments

    - #### wmStatus

          protected int wmStatus

    - #### wmPaidMinutes

          protected int wmPaidMinutes

    - #### wmResponseDateTime

          protected double wmResponseDateTime

    - #### wmExpireDateTime

          protected double wmExpireDateTime

    - #### wmDaysNSizeIs

          protected int wmDaysNSizeIs

    - #### wmDays

          protected java.util.List<java.lang.Double> wmDays

  - ### Constructor Detail

    - #### SchTradeResponse

          public SchTradeResponse()

  - ### Method Detail

    - #### getWmTradeResponseId

          public int getWmTradeResponseId()

      Gets the value of the wmTradeResponseId property.

    - #### setWmTradeResponseId

          public void setWmTradeResponseId(int value)

      Sets the value of the wmTradeResponseId property.

    - #### getWmTradeProposalId

          public int getWmTradeProposalId()

      Gets the value of the wmTradeProposalId property.

    - #### setWmTradeProposalId

          public void setWmTradeProposalId(int value)

      Sets the value of the wmTradeProposalId property.

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the value of the wmSiteId property.

    - #### setWmSiteId

          public void setWmSiteId(int value)

      Sets the value of the wmSiteId property.

    - #### getGswResponseAgentId

          public int getGswResponseAgentId()

      Gets the value of the gswResponseAgentId property.

    - #### setGswResponseAgentId

          public void setGswResponseAgentId(int value)

      Sets the value of the gswResponseAgentId property.

    - #### getGswProposalAgentId

          public int getGswProposalAgentId()

      Gets the value of the gswProposalAgentId property.

    - #### setGswProposalAgentId

          public void setGswProposalAgentId(int value)

      Sets the value of the gswProposalAgentId property.

    - #### getWmComments

          public java.lang.String getWmComments()

      Gets the value of the wmComments property.
      Returns:
        possible object is `String`

    - #### setWmComments

          public void setWmComments(java.lang.String value)

      Sets the value of the wmComments property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmStatus

          public int getWmStatus()

      Gets the value of the wmStatus property.

    - #### setWmStatus

          public void setWmStatus(int value)

      Sets the value of the wmStatus property.

    - #### getWmPaidMinutes

          public int getWmPaidMinutes()

      Gets the value of the wmPaidMinutes property.

    - #### setWmPaidMinutes

          public void setWmPaidMinutes(int value)

      Sets the value of the wmPaidMinutes property.

    - #### getWmResponseDateTime

          public double getWmResponseDateTime()

      Gets the value of the wmResponseDateTime property.

    - #### setWmResponseDateTime

          public void setWmResponseDateTime(double value)

      Sets the value of the wmResponseDateTime property.

    - #### getWmExpireDateTime

          public double getWmExpireDateTime()

      Gets the value of the wmExpireDateTime property.

    - #### setWmExpireDateTime

          public void setWmExpireDateTime(double value)

      Sets the value of the wmExpireDateTime property.

    - #### getWmDaysNSizeIs

          public int getWmDaysNSizeIs()

      Gets the value of the wmDaysNSizeIs property.

    - #### setWmDaysNSizeIs

          public void setWmDaysNSizeIs(int value)

      Sets the value of the wmDaysNSizeIs property.

    - #### getWmDays

          public java.util.List<java.lang.Double> getWmDays()

      Gets the value of the wmDays property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmDays property.

      For example, to add a new item, do as follows:

              getWmDays().add(newItem);

      Objects of the following type(s) are allowed in the list `Double`

    - #### withWmTradeResponseId

          public SchTradeResponse withWmTradeResponseId(int value)

    - #### withWmTradeProposalId

          public SchTradeResponse withWmTradeProposalId(int value)

    - #### withWmSiteId

          public SchTradeResponse withWmSiteId(int value)

    - #### withGswResponseAgentId

          public SchTradeResponse withGswResponseAgentId(int value)

    - #### withGswProposalAgentId

          public SchTradeResponse withGswProposalAgentId(int value)

    - #### withWmComments

          public SchTradeResponse withWmComments(java.lang.String value)

    - #### withWmStatus

          public SchTradeResponse withWmStatus(int value)

    - #### withWmPaidMinutes

          public SchTradeResponse withWmPaidMinutes(int value)

    - #### withWmResponseDateTime

          public SchTradeResponse withWmResponseDateTime(double value)

    - #### withWmExpireDateTime

          public SchTradeResponse withWmExpireDateTime(double value)

    - #### withWmDaysNSizeIs

          public SchTradeResponse withWmDaysNSizeIs(int value)

    - #### withWmDays

          public SchTradeResponse withWmDays(java.lang.Double... values)

    - #### withWmDays

          public SchTradeResponse withWmDays(java.util.Collection<java.lang.Double> values)

    - #### setWmDays

          public void setWmDays(java.util.List<java.lang.Double> wmDays)

      Sets the value of the wmDays property.
      Parameters:
        `wmDays` - allowed object is `Double`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.